get
https://visomdm.com/rest/manager/files/getpresignurl
Starts a file upload. Returns a pre-signed presignUrl and a uuid that identifies this upload.
Upload flow:
- Call this endpoint to receive
presignUrlanduuid. - HTTP
PUTthe raw file bytes topresignUrl(the file itself is the request body; do not send session cookies or API auth headers - the URL is self-authorizing). The URL is valid for 24 hours. - Call
GET /rest/manager/files/getpresignfinal/{uuid}to finalize the upload and obtain the permanent download URL.
Example with curl: curl -X PUT --upload-file myapp.apk "<presignUrl>"
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
400Bad Request
401Unauthorized
403Forbidden
429Too Many Requests
503Service Unavailable